WP hooks navigation: Home/browse • Actions index • Filters index
To save our bandwidth, we show only a snippet of code around each occurence of the hook. View complete file in SVN (without highlighting).
The best way to understand what a hook does is to look at where it occurs in the source code.
do_action( "hook_name" )apply_filters( "hook_name", "what_to_filter" ).Remember, this hook may occur in more than one file. Moreover, the hook's context may change from version to version.
| Line | Code |
|---|---|
| 401 | * Enables creating comments for anonymous users. |
| 402 | * |
| 403 | * @since 4.7.0 |
| 404 | * |
| 405 | * @param bool $allow_anonymous Whether to allow anonymous comments to |
| 406 | * be created. Default `false`. |
| 407 | * @param WP_REST_Request $request Request used to generate the |
| 408 | * response. |
| 409 | */ |
| 410 | $allow_anonymous = apply_filters( 'rest_allow_anonymous_comments', false, $request ); |
| 411 | if ( ! $allow_anonymous ) { |
| 412 | return new WP_Error( 'rest_comment_login_required', __( 'Sorry, you must be logged in to comment.' ), array( 'status' => 401 ) ); |
| 413 | } |
| 414 | } |
| 415 | |
| 416 | // Limit who can set comment `author`, `author_ip` or `status` to anything other than the default. |
| 417 | if ( isset( $request['author'] ) && get_current_user_id() !== $request['author'] && ! current_user_can( 'moderate_comments' ) ) { |
| 418 | return new WP_Error( 'rest_comment_invalid_author', |
| 419 | /* translators: %s: request parameter */ |